{
  "codeName" : "LnternalFuncList",
  "controlType" : "LIST",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSLISTS/LnternalFuncList.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
  "logicName" : "MOB",
  "minorSortDir" : "ASC",
  "getMinorSortPSAppDEField" : {
    "name" : "IBIZBOOKNAME",
    "codeName" : "IBIZBOOKName"
  },
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppViewLogics" : [ {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "list_quicktoolbar_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "list_quicktoolbar_deuiaction1"
    },
    "getPSViewCtrlName" : "list_quicktoolbar"
  }, {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "list_batchtoolbar_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "list_batchtoolbar_deuiaction1"
    },
    "getPSViewCtrlName" : "list_batchtoolbar"
  }, {
    "eventArg" : "deuiaction2",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "list_batchtoolbar_deuiaction2_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "list_batchtoolbar_deuiaction2"
    },
    "getPSViewCtrlName" : "list_batchtoolbar"
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "list_memo1_u37f11a8_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "表格界面_编辑操作"
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "list_memo1_uc365542_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "表格界面_删除操作"
    }
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "list_quicktoolbar_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "New"
    },
    "xDataControlName" : "list"
  }, {
    "name" : "list_batchtoolbar_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Edit"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "list"
  }, {
    "name" : "list_batchtoolbar_deuiaction2",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "uIActionTarget" : "MULTIKEY",
    "xDataControlName" : "list"
  }, {
    "name" : "表格界面_编辑操作",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Edit"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "list"
  }, {
    "name" : "表格界面_删除操作",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "uIActionTarget" : "MULTIKEY",
    "xDataControlName" : "list"
  } ],
  "getPSControlLogics" : [ {
    "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
    "logicTag" : "list",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_list",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr4ListView_layoutlist_quicktoolbar",
    "controlType" : "TOOLBAR",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "列表-快速操作工具栏",
    "name" : "list_quicktoolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "list_quicktoolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "list_quicktoolbar_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "list_quicktoolbar_deuiaction1_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "list_quicktoolbar"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.NEW"
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "list_quicktoolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.NEW"
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "name" : "表格界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "GRIDVIEW_NEWACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.NEW"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.NEW"
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "modelid" : "417d509fb75086f26c79e84b2415d4da",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "Usr4ListView_layoutlist_batchtoolbar",
    "controlType" : "TOOLBAR",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "列表-批操作工具栏",
    "name" : "list_batchtoolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "list_batchtoolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "list_batchtoolbar_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "list_batchtoolbar_deuiaction1_click"
      }
    }, {
      "eventArg" : "deuiaction2",
      "eventNames" : "CLICK",
      "logicTag" : "list_batchtoolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "list_batchtoolbar_deuiaction2_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "list_batchtoolbar_deuiaction2_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "list_batchtoolbar"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.EDIT"
      },
      "caption" : "编辑",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "list_batchtoolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "编辑",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.EDIT"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.REMOVE"
      },
      "caption" : "删除",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "list_batchtoolbar_deuiaction2"
      },
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getPSUIAction" : {
        "actionTarget" : "MULTIKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.REMOVE"
        },
        "caption" : "删除",
        "codeName" : "Remove",
        "fullCodeName" : "Remove",
        "name" : "表格界面_删除操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "GRIDVIEW_REMOVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Remove",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "删除",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "modelid" : "2af289950f1ff781487577fd48319536",
    "modeltype" : "PSDETOOLBAR"
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "DataImport"
  },
  "getPSDEListDataItems" : [ {
    "dataType" : 25,
    "name" : "ibizbookid"
  }, {
    "dataType" : 25,
    "getFrontPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
    },
    "name" : "type"
  }, {
    "dataType" : 25,
    "name" : "press"
  }, {
    "dataType" : 25,
    "name" : "srficon",
    "getPSAppDEField" : {
      "name" : "ICON",
      "codeName" : "Icon"
    }
  }, {
    "dataType" : 7,
    "name" : "price"
  }, {
    "dataType" : 25,
    "name" : "srfdate",
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }
  }, {
    "dataType" : 9,
    "name" : "booknumber"
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdescription",
    "getPSAppDEField" : {
      "name" : "SUBTEXT",
      "codeName" : "Subtext"
    }
  }, {
    "dataType" : 25,
    "name" : "author"
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmstag"
  } ],
  "getPSDEListItems" : [ {
    "align" : "LEFT",
    "dataItemName" : "memo1",
    "itemType" : "ACTIONITEM",
    "name" : "memo1",
    "getPSDEUIActionGroup" : {
      "codeName" : "mdCtrlAction",
      "name" : "多数据部件操作列",
      "getPSUIActionGroupDetails" : [ {
        "detailType" : "DEUIACTION",
        "name" : "u37f11a8",
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "detailType" : "DEUIACTION",
        "name" : "uc365542",
        "getPSUIAction" : {
          "actionTarget" : "MULTIKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "codeName" : "Remove",
          "fullCodeName" : "Remove",
          "name" : "表格界面_删除操作",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "predefinedType" : "GRIDVIEW_REMOVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Remove",
          "uIActionType" : "DEUIACTION"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      } ]
    },
    "width" : 150,
    "widthString" : "150px",
    "enableSort" : false
  } ],
  "pagingSize" : 10,
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "hasWFDataItems" : false,
  "enableGroup" : false,
  "enableRowEdit" : false,
  "enableRowEditGroup" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "noSort" : false,
  "showHeader" : true,
  "modelid" : "8594b932ea501f73756410b3d22cc1ec",
  "modeltype" : "PSDELIST"
}